
	;Specific values for each mode  stored as constants here for ease of placing in EE format

	FREQCONST15	=	0x3ABC1	;	16.6666Hz / 250	at 78MHz.
	FREQCONST30	=	0x192C0	;	7.143Hz
	FREQCONST60	=	0xAE2A	;	3.088Hz
	FREQCONST120	=	0x528A	;	1.464Hz 
	FREQCONST300	=	0x1F78	;	0.558Hz
	FREQCONST900	=	0x0A2A	;	0.1803Hz  
	FREQCONST1800	=	0x05A9	;	0.08929Hz 
	FREQCONSTTEST	=	0x37104E;	250Hz (delta = 1Hz) for testing / demo

 org   0x2100


ControlPLL      de      d'6'           ;PLL Multiplier
DutyCycle       de      0x81		;MSB is Hopping Flag.  Duty cycle, 1 =100%, 2 = 50% 3 = 33% 

FreqConsts	;Stored as 4 byte values for convenience
	de	(FREQCONST15 >> d'24') & 0xFF, (FREQCONST15 >> d'16') & 0xFF, (FREQCONST15 >> d'8') & 0xFF, FREQCONST15 & 0xFF
	de	(FREQCONST30 >> d'24') & 0xFF, (FREQCONST30 >> d'16') & 0xFF, (FREQCONST30 >> d'8') & 0xFF, FREQCONST30 & 0xFF
	de	(FREQCONST60 >> d'24') & 0xFF, (FREQCONST60 >> d'16') & 0xFF, (FREQCONST60 >> d'8') & 0xFF, FREQCONST60 & 0xFF
	de	(FREQCONST120 >> d'24') & 0xFF, (FREQCONST120 >> d'16') & 0xFF, (FREQCONST120 >> d'8') & 0xFF, FREQCONST120 & 0xFF
	de	(FREQCONST300 >> d'24') & 0xFF, (FREQCONST300 >> d'16') & 0xFF, (FREQCONST300 >> d'8') & 0xFF, FREQCONST300 & 0xFF
	de	(FREQCONST900 >> d'24') & 0xFF, (FREQCONST900 >> d'16') & 0xFF, (FREQCONST900 >> d'8') & 0xFF, FREQCONST900 & 0xFF
	de	(FREQCONST1800 >> d'24') & 0xFF, (FREQCONST1800 >> d'16') & 0xFF, (FREQCONST1800 >> d'8') & 0xFF, FREQCONST1800 & 0xFF
	de	(FREQCONSTTEST >> d'24') & 0xFF, (FREQCONSTTEST >> d'16') & 0xFF, (FREQCONSTTEST >> d'8') & 0xFF, FREQCONSTTEST & 0xFF


FreqData        de      0x01,0x8F,0x99,0xFF,0xC4,0xDA	;475.6kHz
RandJump	de	0x00,0x52,0x98,0x74		;1.5Hz * (3 - 131) spreading covers much of 200Hz of band

FST4MsgData

;     FST4 SYMBOLS Packed 4 per byte
;        de   0x1E, 0x4B, 0x3D, 0x77, 0x1F, 0xEB, 0x64, 0x7E
;        de   0x94, 0x4B, 0x4E, 0x1B, 0x93, 0x3B, 0x76, 0x1F
;        de   0xD9, 0x01, 0xC0, 0x1E, 0x4B, 0x12, 0x6C, 0x2B
;        de   0xD5, 0x5F, 0x0C, 0x83, 0xEB, 0x4E, 0x18, 0xDE
;        de   0x49, 0x60, 0xD1, 0xE2, 0x7E, 0xF5, 0x1E, 0x4B
    ;   TEST DE G4JNT


     ;	FST4W SYMBOLS Packed 4 per byte
        de   0x1E, 0x4B, 0x0D, 0x09, 0x85, 0x86, 0x83, 0x47
        de   0x1C, 0x8B, 0x4E, 0x1E, 0xAC, 0x23, 0x9E, 0xAC
        de   0xA2, 0x72, 0x87, 0x1E, 0x4B, 0x1D, 0x03, 0xD2
        de   0x9A, 0x3B, 0xA9, 0x21, 0xCB, 0x4E, 0x1B, 0xFB
        de   0x39, 0xCE, 0x77, 0x37, 0x15, 0xB6, 0x1E, 0x4B
    ;   G4JNT IO90 20


CWMsg           de      "G4JNT",0
;--------------------------------