FUNCTION PBMAIN

PRINT : PRINT
PRINT "Generates FST4[W] Symbols in correct format for PIC .ASM file  "
COLOR 8
PRINT "Calls FST4SIM.EXE    "
COLOR 7
PRINT
IF DIR$("FST4SIM.EXE")= "" THEN
    COLOR 12
    PRINT "FST4SIM.EXE is not present.  Ensure this is in the same directory as GENFST4"
    COLOR 7
    PRINT "Visit the WSJT-X SOurce Website for full download"
    END
END IF

IF COMMAND$ = "" THEN LINE INPUT "Message  ",m$ ELSE m$ = COMMAND$
IF m$ = "" THEN END
m$ = UCASE$(m$)
junk$ = " 120  1500 0.0   0 0 0 0 F"
CommandSpec$ = ENVIRON$("comspec")
CommandLine$ = "FST4SIM " + CHR$(34) + m$ + CHR$(34) + junk$ + " > FST4TEMP.TXT"

SHELL CommandSpec$ & " /C " & CommandLine$, 1&   'Shell command is:  FST4SIM "message" 'junk info' > FST4TEMP.TXT

IF DIR$("FST4TEMP.TXT") = "" THEN
        PRINT "No Temp file created"
        END
END IF
PRINT : PRINT

COLOR 6
SHELL commandspec$ & " /C TYPE FST4TEMP.TXT"
COLOR 7

INPUT "Destination file ( FST4.INC )   ",fi$
IF fi$ = "" THEN fi$ = "FST4.INC"


OPEN "FST4TEMP.txt" FOR INPUT AS #1

DO
    LINE INPUT #1 , l$
LOOP UNTIL INSTR(l$ , "hannel symbols")   'this string is used in the line preceding the actual values
cp$ = ";     FST4 SYMBOLS Packed 4 per byte"

FullSymb$ = ""
DO       'Now at start of actual symbol values
    LINE INPUT #1 , l$
    IF l$ = "" THEN EXIT LOOP
    IF INSTR(l$ , "File") THEN EXIT LOOP

    pl% = 1
    FullSymb$ = FullSymb$ & l$       'Concatenate two bit symbols into one string


 '   DO
 '       IF counter% MOD 32 = 0 THEN
 '           cp$ = cp$ + CHR$(13, 10)
 '           cp$ = cp$ +  "    de  "
 '       ELSE
 '           IF (counter% MOD 4 = 3) AND (counter% MOD 32 <> 3) THEN
 '               cp$ = cp$ +  ","
 '           END IF
 '       END IF
 '
 '       pos1% = INSTR(pl% , l$ , ANY "0123456789")
 '       x% = VAL(MID$(l$ , pos1%, 1))      'value of next complete number
 '       pl% = pos1% + 1                 'single digit values


 '       packed% = packed% * 4 + x%      'Pack four per byte MSB first

 '       IF counter% MOD 4 = 3 THEN
 '           Pack$ = HEX$(packed%)
 '           IF packed% < 16 THEN Pack$ = "0" + Pack$
 '           cp$ = cp$ +  USING$( " 0x\\"; Pack$ )
 '           packed% = 0
 '       END IF
 '
 '       INCR counter%
 '   LOOP UNTIL pl% >= LEN(l$)
LOOP UNTIL INSTR(l$ , "hannel")

'color 13 : print FullSymb$ : color 7

FOR counter% = 1 TO LEN(FullSymb$) STEP 4      'Each byte in turn
    IF counter% MOD 32 = 1 THEN
         cp$ = cp$ + CHR$(13, 10)
         cp$ = cp$ +  "        de  "
    ELSE
             cp$ = cp$ +  ","
    END IF

    packed% = 0
    FOR pair% = 0 TO 3
        x% = VAL(MID$(FullSymb$, counter% + pair% , 1))      'value of next complete number
        packed% = packed% * 4 + x%      'Pack four per byte MSB first
    NEXT pair%

    Pack$ = HEX$(packed%)
    IF packed% < 16 THEN Pack$ = "0" + Pack$
    cp$ = cp$ +  USING$( " 0x\\"; Pack$ )
NEXT counter%




cp$ = cp$ + CHR$(13, 10)
CLOSE 1
cp$ = cp$ + "    ;   " + m$
cp$ = cp$ + CHR$(13, 10)
cp$ = cp$ + CHR$(13, 10)

OPEN fi$ FOR OUTPUT AS #2
PRINT #2, cp$
CLOSE 2
SHELL commandspec$ & " /C TYPE " & fi$

COLOR 14
PRINT "Symbols written to FST4.INC  and copied to Clipboard "
COLOR 7

CLIPBOARD SET TEXT cp$
PRINT
KILL "FST4TEMP.TXT"
IF DIR$ ("000000_0001.wav") > "" THEN KILL "000000_0001.wav"    'Sometimes Generated by WSJT SIM progs

SLEEP (2000)
'WHILE NOT INSTAT : WEND

END FUNCTION
